<?php
    defined('_JEXEC') or die;
    use Joomla\CMS\Factory;

    // Add custom CSS to the page
    $document = JFactory::getDocument();
    $document->addStyleSheet(JUri::root() . 'administrator/components/com_resourcespace/assets/css/style.css');
    $document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js'); // You can use a CDN or your local path
    $document->addScript(JUri::root() . 'administrator/components/com_resourcespace/assets/js/main.js');

?>

<form method="GET" action="index.php" id="searchForm" class="resourcespace-search-form">
    <input type="hidden" name="option" value="com_resourcespace">
    <input type="hidden" name="task" value="search">
    <input type="text" class="form-control resourcespace-searchbox" name="search_query" id="search_query" placeholder="Search..."
           value="<?php echo htmlspecialchars(Factory::getApplication()->input->getString('search_query', '')); ?>">
    <button class="button-options btn btn-primary" type="submit">Search</button>
</form>

<?php
    $results = Factory::getApplication()->getUserState('com_resourcespace.search_results', []);
    // echo print_r($results, 1);
?>

<div class="resourcespace-container">
  <!-- Render Filter Form -->
 <?php if (! empty($results) && is_array($results)): ?>
  <div class="resourcespace-filter-form">
    <label class="resourcespace-select-all">
      <input type="checkbox" id="select-all" class="resourcespace-select-all-checkbox"> Select All
    </label>

    <a href="#" class="resourcesync"> Import/Update selected </a>
  </div>
  <?php endif; ?>
  <!-- Display Data in a Responsive Grid -->
  <div class="resourcespace-grid">
  <?php if(is_array($results)) {
    foreach ($results as $item): ?>
      <div class="resourcespace-item">
        <input type="checkbox" name="selected_rs[]" data-id="<?php echo htmlspecialchars($item['ref_id']); ?>" data-modified="<?php echo htmlspecialchars($item['modified_at']); ?>" data-url="<?php echo htmlspecialchars($item['thumbnail']); ?>" data-name="<?php echo htmlspecialchars($item['title']); ?>"  data-extentension="<?php echo htmlspecialchars($item['extension']); ?>" id="resourcespace_id" class="resourcespace-checkbox">
        <label for="checkbox1"></label>
        <div class="resourcespace-img-container">
            <img src="<?php echo htmlspecialchars($item['thumbnail']); ?>" alt="" srcset="">
        </div>
        <h3 class="resourcespace-image-title"><?php echo htmlspecialchars($item['title']); ?></h3>
      </div>
     <?php endforeach; 
    }else{
      echo print_r($results, 1);
    }
    ?>
  </div>
</div>

